# About this Book

This book was written to help you use PubSweet to build the publishing platform of your dreams. It was written by the Coko community with the hope that you will find it useful and join us in our efforts to liberate the scholarly publishing community from outdated workflows and expensive proprietary software.

First a word on the Coko Community and the origins of PubSweet. Coko is short for the Collaborative Knowledge Foundation, co-founded by Kristen Ratan and Adam Hyde. Soon after the Coko start up, Jure Triglav was employed to start building the open source PubSweet toolkit for building publishing platforms. This was at first a lonely affair until eLife and Hindawi joined at the same time. Both organizations wished to join the effort to improve PubSweet so they could build their own journal publishing systems. That moment was the start of the Coko community and from there it has grown to include many other organizations including EBI, Wormbase, perhaps soon the Organization for Human Brain Mapping, and others. The Coko community, sometimes refered to as the PubSweet community in this book, is a vibrant and growing group of people enthusiastic about building better publishing workflows and a better future for scholarly publishing. The Coko community wrote this book!

## Who should read this book?

This book is targeted at a wide range of readers within the publishing industry on both the product and technology sides: funders and strategic stakeholders making technology or budgeting decisions, project managers, designers, and software engineers.

Those in non-technical roles will get the most from the first two sections, [Introduction to PubSweet](inline 'undefined') and [Platform Design](inline 'undefined') and the last on [The Future](inline 'undefined') of PubSweet: these sections set out the business case for adopting PubSweet and describe how your organization can set about redesigning or optimizing its workflow. The more technically minded will benefit from the central sections on [Technical Architecture](inline 'undefined'), [Getting Started With PubSweet](inline 'undefined'), [PubSweet Components](inline 'undefined'), [Theming](inline 'undefined'), [Deployment](inline 'undefined') and [Development Help](inline 'undefined').

Of course, for anyone with sufficient time, we recommend reading everything!

# Acknowledgements

The book was written over three days using the Book Sprint methodology. We wish to thank Barbara Rühling, our facilitator from [Book Sprints](http://www.booksprints.net 'undefined') for guiding us through this process and making all this hard work feel like fun. Also thanks to Henrik, Agathe, Raewyn and the rest of the Book Sprints crew who worked behind the scenes to make our work look great!

Participating in the Book Sprint were Yannis Barlas (Coko), Bogdan Cochior (Hindawi), Nick Duffield (eLife), Samuel Galson (eLife), Yuci Gou (EBI), Audrey Hamelers (EBI), Peter Hooper (eLife), Adam Hyde (Coko), Christos Kokosias (Coko), Tamlyn Rhodes (eLife), Paul Shannon (eLife), Julien Taquet (Coko), Alex Theg (Coko), and Jure Triglav (Coko). Thanks also to all the wonderful folks at Hindawi, eLife and EBI who generously made the time available for their teams to participate.

The book was written about PubSweet using Editoria, a book production platform built on top of PubSweet. We are eating our own dog food. Because Editoria is so great, we could output the content to epub and book-formatted PDF immediately.... zero to printed and electronic book in 3 days… amazing. Book Sprints + Editoria = the best!

We also wish to thank the Shuttleworth Foundation for their generous support of Coko's co-founder Adam Hyde, and for the PubSweet Book Sprint.

Lastly, this book is dedicated to Alexis since he couldn't be here for the Book Sprint and yet the book was written with Editoria, and he wrote Editoria. It deserves a photo…

![](../images/image-1-0.jpg)
