Before you or your organization makes the decision to start using PubSweet, there are a few things it's important to know.

First, reach out to the Coko team and the community as soon as you are interested, and don't be afraid of asking basic or 'obvious' questions. The community is very welcoming, quite transparent and upfront, and happy to field questions of any kind.

If you decide to build a platform with PubSweet, it's critical to carefully understand or design your ideal workflow _before_ you start building. This can be daunting, but doing it right pays enormous dividends in time, work, and effort down the line. We recommend talking to the Coko team and the PubSweet community about workflow and how to understand, optimize, and redesign it. There are many experienced people in the community with a wealth of lessons learned and they can save you a lot of time and heartache. You may also wish to read the section on Designing Workflow in this book.

If you are in the market for developers, choose intermediate or senior JavaScript developers, preferably with React experience. PubSweet is built with JavaScript and Node.js / React. There are plenty of JavaScript developers around, making finding programmers or contracting out work as easy as possible — but be sure to hire good ones!

Once you have built the platform, you have three options for its hosting:

1.  Host it yourself — this could be done using a provider who offers Hardware-as-a-Service (HaaS), but this option also means you may have the overhead of managing the network and other infrastructure.
2.  Pay a hosting-only provider — if you are happy with a default deployment you can opt to purchase a Software-as-a-Service (SaaS) or Platform-as-a-Service (PaaS).
3.  Pay a hosting and publishing services provider — if you require hosting and publishing services you can opt for a publishing services provider who can provide all the support you need.

While some groups may be comfortable running a PubSweet platform in-house for a fraction of the cost of a hosting provider, others who want professional services might prefer to contract with a hosting and/or publishing services organization. There are groups out there who are interested in providing these services and we anticipate their numbers will grow over time.

Open Source is more than just a license — open source is about participating in a community. If you learn to work with the PubSweet community, it will provide enormous benefits to you, but it also comes with some expectations, norms, and rules of the road. Don't be scared of these aspects — they are such things as agreement to act in good faith, pay it forward, and treat others as you want to be treated.

If these are ideas you can get behind, read on.

<img src="image-5-0.jpg" style="max-width: 400px; width: 100%;display: block;margin: 1em auto;">

Coko Community Meet, London

## A quick word about Open Source and community

Many incorrectly assume that open source software implies low quality, unsustainable, lacking in thought and effort, no reliable support, or worse. In fact, PubSweet and the platforms being built on top of it are quite the opposite: they represent close collaboration between publishing industry practitioners, high quality code and UX, and are a serious effort at tackling common industry problems by a variety of extremely experienced and talented professional developers, designers, project managers, data scientists, publishing staff, and others. The folks who are involved are working together out of a recognition of shared needs and problems in the publishing industry, and a sincere belief that cooperation and good-faith action benefits everyone.

As mentioned, the open source and PubSweet communities come with their own expectations that will work to your benefit. There are many things to consider, and if you join the PubSweet community, we'll all make sure you have the opportunity to work alongside some experienced hands to help you get oriented. But it is good to know ahead of time that we hold dear the following two core principles:

> Ask for help if you need it, but also answer someone else's question if you can.

> Use as much of the free code and components as you can, but also remember to share your platform or component back to the community.

The PubSweet community has grown over time, to the point where there are plenty of ongoing projects and folks currently working with it. By encouraging engagement and good community citizenship, the community grows, the component library you can draw from grows, and the number of people who can give you a nudge in the right direction grows. Just like everything else in life, the more you put in, the more you'll get out.

## How do I get involved?

For pretty much any starting point — whether you want to chat about what's possible, check whether a specific component you're looking for exists, have a specific question about the code, or something else — the first step is to get in touch with the PubSweet community. The best way to do this is via the Collaborative Knowledge Foundation's [Mattermost web chat](https://mattermost.coko.foundation 'undefined').
